
Application: gvSIG desktop - gvSIG bugs #1678
Exception saving to raster
03/21/2013 08:52 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

It shows an exception selecting a rectangle on a view with a WMS.

ERROR [AWT-EventQueue-1] (NotificationManager.java:107) - java.lang.NumberFormatException: multiple points
java.lang.NumberFormatException: multiple points
    at sun.misc.FloatingDecimal.readJavaFormatString(FloatingDecimal.java:1084)
    at java.lang.Double.valueOf(Double.java:475)
    at java.lang.Double.<init>(Double.java:567)
    at org.gvsig.gui.beans.datainput.DataInputField.setValue(DataInputField.java:143)
    at org.gvsig.gui.beans.datainput.DataInputContainer.setValue(DataInputContainer.java:132)
    at org.gvsig.raster.tools.app.basic.tool.saveraster.map.SaveRasterListener.rectangle(SaveRasterListener.java:96)
    at org.gvsig.fmap.mapcontrol.tools.Behavior.RectangleBehavior.mouseReleased(RectangleBehavior.java:183)
    at org.gvsig.fmap.mapcontrol.tools.CompoundBehavior.mouseReleased(CompoundBehavior.java:296)
    at org.gvsig.fmap.mapcontrol.MapControl$MapToolListener.mouseReleased(MapControl.java:1757)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:67)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
History
#1 - 03/21/2013 09:12 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1677

#2 - 02/26/2014 12:41 PM - Álvaro Anguix
- Status changed from Fixed to Closed
